package com.heyu.api.data.dao.device;
/**
* <p>
* 设备信息表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.device.DeviceInfoEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface DeviceInfoDao extends BaseMapper<DeviceInfoEntity> {


	DeviceInfoEntity selectDeviceInfoById(@Param("id")Long id);


	Long insertDeviceInfo(DeviceInfoEntity deviceInfo);


	Long insertOrUpdateDeviceInfo(DeviceInfoEntity deviceInfo);


	int updateDeviceInfoById(DeviceInfoEntity deviceInfo);


	int updateCoverDeviceInfoById(DeviceInfoEntity deviceInfo);


	int deleteDeviceInfoById(@Param("id")Long id);


}